| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iNewStateQuestRewardFactory Struct Reference

This interface is implemented by the reward that switches to another state. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcquest property class on which this reward will work.
virtual void | SetStateParameter (const char *state)=0
| Set the state to go to (either a state string or a parameter if it starts with '$').

## Detailed Description

This interface is implemented by the reward that switches to another state.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.newstate'.

In XML, factories recognize the following attributes on the 'reward' node:

- state: the new state.
- entity: the name of the entity containing the pcquest property class.
- entity_tag: optional tag used to find the right property class from the entity.

Definition at line 1269 of file questmanager.h.

## Member Function Documentation

virtual void iNewStateQuestRewardFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the name of the entity containing the pcquest property class on which this reward will work.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iNewStateQuestRewardFactory::SetStateParameter | ( | const char * | state | ) | `[pure virtual]`

Set the state to go to (either a state string or a parameter if it starts with '$').

Parameters:

  | state | is the name of the state or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h